<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
"http://www.w3.org/TR/html4/loose.dtd">
<%@ page contentType="text/html;charset=UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://richfaces.org/rich" prefix="rich"%>
<%@ taglib uri="http://richfaces.org/a4j" prefix="a4j"%>
<f:view>
	<html>
		<head>
			<title>Apptivo - Preferences</title>
			<jsp:include page="/regions/header.jsp" flush="false"/>				
		</head>
		<body>
			<table width="100%" border="0" cellspacing="0" cellpadding="0" align="left" style="padding:2px;">
				<tr align="left" valign="top">
					<td colspan="2">
						<jsp:include page="/regions/page-header.jsp" flush="false"/>
					</td>
				</tr>
				<tr valign="top" align="left">
					<td width="10%" align="left" valign="top">
						<jsp:include page="/regions/main-menu.jsp" flush="false"/>
					</td>
					<td width="90%" valign="top" style="padding-left:10px" align="left">
						<jsp:include page="/regions/pageInnerTopRegion.jsp" flush="false"/>
						<h:form id="userpreferenceschange">
						<a4j:outputPanel id="mainwindow">												
							<table width="100%" id="pageTitleTable">
								<tr id="pageTitleRow">
									<td id="pageTitleColumn"><h:outputText
										value=" Preferences: General"
										style="font-family:Arial, Helvetica, sans-serif; font-size:medium; font-weight:bold;"
										id="pageTitleLabel" /> <rich:separator lineType="solid"
										height="3px" id="pageTitleSeperator" /></td>
								</tr>
							</table>
				<rich:panel style="width:1000px;height:150px; "
						header="General" >
						<table class="formLayoutTable" >
							<tr class="formLayoutTableRow" >
									<td><a4j:commandLink
											 value="Change Password"
											id="passwordChange"
											action="#{backing_userPreferencesChange.changePasswordModalDisplay}"
											onclick="disableButtonAndShowLoadingInfoWindow(this.id);"
											reRender="changePasswordModalPanel"
											oncomplete="enableButtonAndHideLoadingInfoWindow(this.id);#{rich:component('changePasswordModalPanel')}.show();"/> 
										
										
								</td>
							</tr>
							<tr class="formLayoutTableRow" >
									<td><a4j:commandLink
											 value="Change Time Zone"
											id="timeZoneChange"
											action="#{backing_userPreferencesChange.changeTimeZoneModalDisplay}"
											onclick="disableButtonAndShowLoadingInfoWindow(this.id);"
											reRender="changeTimeZoneModalPanel"
											oncomplete="enableButtonAndHideLoadingInfoWindow(this.id);#{rich:component('changeTimeZoneModalPanel')}.show();"/> 
										
										
								</td>
							</tr>
							<tr class="formLayoutTableRow" >
									<td><a4j:commandLink
											 value="Twitter Account"
											id="twitterAccount"
											action="#{backing_userPreferencesChange.twitterAccountModalDisplay}"
											onclick="disableButtonAndShowLoadingInfoWindow(this.id);"
											reRender="twitterAccountModalPanel"
											oncomplete="enableButtonAndHideLoadingInfoWindow(this.id);#{rich:component('twitterAccountModalPanel')}.show();"/> 
										
										
								</td>
							</tr>
							<tr class="formLayoutTableRow">
									<td><a4j:commandLink
											 value="Manage Credit Cards"
											id="manageCreditCards"
											action="#{backing_userPreferencesChange.manageCreditCardsModalDisplay}"
											onclick="disableButtonAndShowLoadingInfoWindow(this.id);"
											reRender="manageCreditCardsModalPanel"
											oncomplete="enableButtonAndHideLoadingInfoWindow(this.id);#{rich:component('manageCreditCardsModalPanel')}.show();"/> 
										
										
								</td>
							</tr>

								<tr class="formLayoutTableRow">
									<td><a4j:commandLink
											 value="From Email Address"
											id="fromEmailAddress"
											action="#{backing_userPreferencesChange.fromEmailAddressModalDisplay}"
											onclick="disableButtonAndShowLoadingInfoWindow(this.id);"
											reRender="fromEmailAddressModalPanel"
											oncomplete="enableButtonAndHideLoadingInfoWindow(this.id);#{rich:component('fromEmailAddressModalPanel')}.show();"/> 
										
										
								</td>
							</tr>
						</table>
					</rich:panel>													
						</a4j:outputPanel>											
						</h:form>
						<jsp:include page="/modal/loadinginfowindow.jsp" flush="false" />
						<jsp:include page="/modal/fromemailaddressmodal.jsp" flush="false"/>
						<jsp:include page="/modal/changepasswordmodal.jsp" flush="false"/>
						<jsp:include page="/modal/changetimezonemodal.jsp" flush="false" />
						<jsp:include page="/modal/twitteraccountmodal.jsp" flush="false" />
						<jsp:include page="/modal/managecreditcardsmodal.jsp" flush="false"/>						
					</td>
				</tr>
				<tr align="left" valign="bottom">
					<td colspan="2">
						<jsp:include page="/regions/page-footer.jsp" flush="false"/>
					</td>
				</tr>
			</table>
			 
		</body>
		<jsp:include page="/regions/footer.jsp" flush="false"/>		
	</html>
</f:view>